Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.OriginalForControlContext

- org.apache.groovy.parser.antlr4.GroovyParser.OriginalForControlContext

-     public static class GroovyParser.OriginalForControlContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `OriginalForControlContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `SEMI()`
    `` | `public TerminalNode` | `SEMI(int i)`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public ExpressionContext` | `expression()`
    `` | `public ForInitContext` | `forInit()`
    `` | `public ForUpdateContext` | `forUpdate()`
    `` | `public int` | `getRuleIndex()`

- - ### Constructor Detail

    - #### public OriginalForControlContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public List<? extends TerminalNode> SEMI()

    - #### public TerminalNode SEMI(int i)

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ExpressionContext expression()

    - #### public ForInitContext forInit()

    - #### public ForUpdateContext forUpdate()

    - #### @Override
      public int getRuleIndex()